pydo.registry.update_subscription()

Generated on 8 May 2026 from pydo version v0.34.0

deprecated

Usage

client.registry.update_subscription(
    body={
        "tier_slug": "basic",
    },
)
Returns JSONRaises HttpResponseError

Description

Note: This endpoint is deprecated. Please use the /v2/registries endpoint instead.

After creating your registry, you can switch to a different subscription tier to better suit your needs. To do this, send a POST request to /v2/registry/subscription.

Parameters

tier_slug string optional

The slug of the subscription tier to sign up for.

One of: starter, basic, professional

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "tier_slug": "basic"
}

resp = client.registry.update_subscription(body=req)

Response Example

Show Response Example
{
  "subscription": {
    "tier": {
      "name": "Basic",
      "slug": "basic",
      "included_repositories": 5,
      "included_storage_bytes": 5368709120,
      "allow_storage_overage": true,
      "included_bandwidth_bytes": 5368709120,
      "monthly_price_in_cents": 500,
      "storage_overage_price_in_cents": 2
    },
    "created_at": "2020-01-23T21:19:12Z",
    "updated_at": "2020-11-05T15:53:24Z"
  }
}

More Information

See /v2/registry/subscription in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.